Package org.spongepowered.asm.mixin.extensibility

## Interface IActivityContext.IActivity

All Known Implementing Classes:
  `ActivityStack.Activity`

Enclosing interface:
  IActivityContext

    public static interface IActivityContext.IActivity

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `append​(java.lang.String text)` Append text to the activity description
`void` `append​(java.lang.String textFormat, java.lang.Object... args)` Append text to the activity description
`void` `end()` End this activity and remove it (and any descendants)
`void` `next​(java.lang.String description)` End this activity (and any descendants) and begin the next activity using the same activity handle
`void` `next​(java.lang.String descriptionFormat, java.lang.Object... args)` End this activity (and any descendants) and begin the next activity using the same activity handle

### Method Detail

#### next

    void next​(java.lang.String descriptionFormat,
              java.lang.Object... args)

End this activity (and any descendants) and begin the next activity using the same activity handle

Parameters:
  `descriptionFormat` - New activity description format
  `args` - New activity description args

#### next

    void next​(java.lang.String description)

End this activity (and any descendants) and begin the next activity using the same activity handle

Parameters:
  `description` - New activity description

#### end

    void end()

End this activity and remove it (and any descendants)

#### append

    void append​(java.lang.String textFormat,
                java.lang.Object... args)

Append text to the activity description

Parameters:
  `textFormat` - Format for text to append
  `args` - Format args

#### append

    void append​(java.lang.String text)

Append text to the activity description

Parameters:
  `text` - Text to append